Follow along with the video below to see how to install our site as a web app on your home screen.
Note: This feature may not be available in some browsers.
Set hybridShapeFactory1 = part1.HybridShapeFactory
Set hybridShapePointCoord1 = hybridShapeFactory1.AddNewPointCoord(0, 0, 0)
'If you are deleting the point, no need to append it
'hybridBody1.AppendHybridShape hybridShapePointCoord1
'New features are automatically the InWorkObject...and this is not needed
'part1.InWorkObject = hybridShapePointCoord1
'I would be careful updating the entire part...if the user has a feature that fails, the code will fail here
'part1.Update
'Instead, local update only what you created
hybridShapePointCoord1.compute
'Try getting rid of the reference
'Set reference2 = part1.CreateReferenceFromObject(hybridShapePointCoord1)
'Use the point instead of the reference
Set hybridShapePointExplicit1 = hybridShapeFactory1.AddNewPointDatum(hybridShapePointCoord1)
hybridBody1.AppendHybridShape hybridShapePointExplicit1
'Local update
hybridShapePointCoord1.compute
'Don't need
'part1.InWorkObject = hybridShapePointExplicit1
hybridShapeFactory1.DeleteObjectForDatum hybridShapePointCoord1
'part1.Update